<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>GeoIP.Network</title>
    <link rel="stylesheet" href="/static/sponsor_auth.css" />
    <style>
        {{ extended_css | safe }}   {# nosemgrep #}
    </style>
    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.6/d3.min.js"></script>
    <script>
    function closeModal(event) {
        var overlay = document.getElementById("modal-overlay");
        var modal = document.getElementById("modal-dialog");
        var section1 = document.getElementById("text1");
        var section2 = document.getElementById("text2");
        overlay.style.display = "none";
        modal.style.display = "none";
        section1.style.filter = "";
        section2.style.filter = "";
    }
</script>
</head>
<body>
    <header>
        <div id="home"><a href="{{ url_for('index') }}" id="title"><h1>GeoIP.Network</h1></a></div>
        <nav>
            <ul>
                <li><a href="{{ url_for('sponsor') }}" id="sponsor" class="navigation">Sponsor</a></li>&nbsp|
                <li><a href="{{ url_for('api') }}" id="api" class="navigation">API</a></li>&nbsp|
                <li><a href="{{ url_for('about') }}" id="about" class="navigation">About</a></li>&nbsp|

                {% if not logout %}
                    <li><a href="{{ url_for('login') }}" id="login" class="navigation">Login</a></li>
                {% else %}
                    <li><a href="{{ url_for('logout') }}" id="logout" class="navigation">Logout</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <page>
    <main>
        {% block main %}
        {% endblock %}
    </main>
    <div class="gutter">
        <div class="tabs">
            <ul>
                <li class="{{ 'selected' if (selected_page == 'dashboard') }}"><a href="{{ url_for('.dashboard') }}" id="dashboard">Dashboard</a></li>
                <li class="{{ 'selected' if (selected_page == 'api')}}"><a href="{{ url_for('.apikeys') }}" id="apikeys">API Keys</a></li>
                <li class="{{ 'selected' if (selected_page == 'pixel')}}"><a href="{{ url_for('.pixel') }}" id="pixels">Pixels</a></li>
                <li class="{{ 'selected' if (selected_page == 'account')}}"><a href="{{ url_for('.account') }}" id="account">Sponsorship</a></li>
                <li class="{{ 'selected' if (selected_page == 'logo')}}"><a href="{{ url_for('.logo') }}" id="logo">Logo & Details</a></li>
                <li class="{{ 'selected' if (selected_page == 'password')}}"><a href="{{ url_for('.password') }}" id="password">Change Password</a></li>
            </ul>
        </div>
    </div>
    </page>
    <script>
        var cidr_input = document.getElementById("cidr");
        if (cidr_input) {
            function input_change(event) {
                if (event.keyCode === 13) {
                    window.location.href = "/" + cidr_input.value;
                    }
            }
            cidr_input.addEventListener("keyup",input_change);
            function pressed(event) {
                var cidr_input = document.getElementById("cidr");
                window.location.href = "/" + cidr_input.value;
            }
        }
    </script>
</body>
</html>